org.glassfish.jersey.server.spi

## Class AbstractContainerLifecycleListener

- java.lang.Object
- - org.glassfish.jersey.server.spi.AbstractContainerLifecycleListener

All Implemented Interfaces:
  ContainerLifecycleListener

    public abstract class AbstractContainerLifecycleListener
    extends Object
    implements ContainerLifecycleListener

Convenience class to allow implementing only a subset of `container liefecycle listener` callback method(s).

Author:
  Jakub Podlesak

### Constructor Summary

Constructors
Constructor and Description
`AbstractContainerLifecycleListener()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `onReload(Container container)` Invoked when the `container` has been reloaded.
`void` `onShutdown(Container container)` Invoke at the `container` shut-down.
`void` `onStartup(Container container)` Invoked at the `container` start-up.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AbstractContainerLifecycleListener

    public AbstractContainerLifecycleListener()

### Method Detail

#### onStartup

    public void onStartup(Container container)

Description copied from interface: `ContainerLifecycleListener`
Invoked at the `container` start-up. This method is invoked even when application is reloaded and new instance of application has started.

Specified by:
  `onStartup` in interface `ContainerLifecycleListener`
Parameters:
  `container` - container that has been started.

#### onReload

    public void onReload(Container container)

Description copied from interface: `ContainerLifecycleListener`
Invoked when the `container` has been reloaded.

Specified by:
  `onReload` in interface `ContainerLifecycleListener`
Parameters:
  `container` - container that has been reloaded.

#### onShutdown

    public void onShutdown(Container container)

Description copied from interface: `ContainerLifecycleListener`
Invoke at the `container` shut-down. This method is invoked even before the application is being stopped as a part of reload.

Specified by:
  `onShutdown` in interface `ContainerLifecycleListener`
Parameters:
  `container` - container that has been shut down.